# Installation

Installing Hookshot into your application is very straight forward. All you need is your Hookshot API token, which can be found on the Security page in your dashboard

We currently have clients for the following languages, however Hookshot can be accessed via REST API if we do not have a client for your language.

### **Python**

```
pip install hookshothq
```

In your application:

```
import hookshot

hookshothq.api_key = os.getenv("HOOKSHOT_API_TOKEN")

# Create an Event

hookshot.Event.create(
    event="order.created",
    realm=current_context.user_id,
    payload={
        "id": "o_1234",
        "value": "100000",
        "item_count": 4,
        "recurring": False,
    }
)
```

{% hint style="info" %}
The "payload" attribute is the content which will be used as the body of your webhook when it is delivered to the end user.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hookshothq.com/getting-started/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
